puts "Info:(TE) This block design file has been exported with Reference-Design Scripts from Trenz Electronic GmbH for Board Part:trenz.biz:te0710_02_100_2cf:part0:1.0 with FPGA xc7a100tcsg324-2 at 2016-08-16T09:43:31."

################################################################
# This is a generated script based on design: msys
#
# Though there are limitations about the generated script,
# the main purpose of this utility is to make learning
# IP Integrator Tcl commands easier.
################################################################

namespace eval _tcl {
proc get_script_folder {} {
   set script_path [file normalize [info script]]
   set script_folder [file dirname $script_path]
   return $script_folder
}
}
variable script_folder
set script_folder [_tcl::get_script_folder]

################################################################
# Check if script is running in correct Vivado version.
################################################################
set scripts_vivado_version 2016.2
set current_vivado_version [version -short]

if { [string first $scripts_vivado_version $current_vivado_version] == -1 } {
   puts ""
   catch {common::send_msg_id "BD_TCL-109" "ERROR" "This script was generated using Vivado <$scripts_vivado_version> and is being run in <$current_vivado_version> of Vivado. Please run the script in Vivado <$scripts_vivado_version> then open the design in Vivado <$current_vivado_version>. Upgrade the design by running \"Tools => Report => Report IP Status...\", then run write_bd_tcl to create an updated script."}

   return 1
}

################################################################
# START
################################################################

# To test this script, run the following commands from Vivado Tcl console:
# source msys_script.tcl

# If there is no project opened, this script will create a
# project, but make sure you do not have an existing project
# <./myproj/project_1.xpr> in the current working folder.

set list_projs [get_projects -quiet]
if { $list_projs eq "" } {
   create_project project_1 myproj -part xc7a100tcsg324-2
   set_property BOARD_PART trenz.biz:te0710_02_100_2cf:part0:1.0 [current_project]
}


# CHANGE DESIGN NAME HERE
set design_name msys

# If you do not already have an existing IP Integrator design open,
# you can create a design using the following command:
#    create_bd_design $design_name

# Creating design if needed
set errMsg ""
set nRet 0

set cur_design [current_bd_design -quiet]
set list_cells [get_bd_cells -quiet]

if { ${design_name} eq "" } {
   # USE CASES:
   #    1) Design_name not set

   set errMsg "Please set the variable <design_name> to a non-empty value."
   set nRet 1

} elseif { ${cur_design} ne "" && ${list_cells} eq "" } {
   # USE CASES:
   #    2): Current design opened AND is empty AND names same.
   #    3): Current design opened AND is empty AND names diff; design_name NOT in project.
   #    4): Current design opened AND is empty AND names diff; design_name exists in project.

   if { $cur_design ne $design_name } {
      common::send_msg_id "BD_TCL-001" "INFO" "Changing value of <design_name> from <$design_name> to <$cur_design> since current design is empty."
      set design_name [get_property NAME $cur_design]
   }
   common::send_msg_id "BD_TCL-002" "INFO" "Constructing design in IPI design <$cur_design>..."

} elseif { ${cur_design} ne "" && $list_cells ne "" && $cur_design eq $design_name } {
   # USE CASES:
   #    5) Current design opened AND has components AND same names.

   set errMsg "Design <$design_name> already exists in your project, please set the variable <design_name> to another value."
   set nRet 1
} elseif { [get_files -quiet ${design_name}.bd] ne "" } {
   # USE CASES: 
   #    6) Current opened design, has components, but diff names, design_name exists in project.
   #    7) No opened design, design_name exists in project.

   set errMsg "Design <$design_name> already exists in your project, please set the variable <design_name> to another value."
   set nRet 2

} else {
   # USE CASES:
   #    8) No opened design, design_name not in project.
   #    9) Current opened design, has components, but diff names, design_name not in project.

   common::send_msg_id "BD_TCL-003" "INFO" "Currently there is no design <$design_name> in project, so creating one..."

   create_bd_design $design_name

   common::send_msg_id "BD_TCL-004" "INFO" "Making design <$design_name> as current_bd_design."
   current_bd_design $design_name

}

common::send_msg_id "BD_TCL-005" "INFO" "Currently the variable <design_name> is equal to \"$design_name\"."

if { $nRet != 0 } {
   catch {common::send_msg_id "BD_TCL-114" "ERROR" $errMsg}
   return $nRet
}


##################################################################
# MIG PRJ FILE TCL PROCs
##################################################################

proc write_mig_file_msys_sys_ram_0 { str_mig_prj_filepath } {

   set mig_prj_file [open $str_mig_prj_filepath  w+]

   puts $mig_prj_file {﻿<?xml version='1.0' encoding='UTF-8'?>}
   puts $mig_prj_file {<!-- IMPORTANT: This is an internal file that has been generated by the MIG software. Any direct editing or changes made to this file may result in unpredictable behavior or data corruption. It is strongly advised that users do not edit the contents of this file. Re-run the MIG GUI with the required settings if any of the options provided below need to be altered. -->}
   puts $mig_prj_file {<Project NoOfControllers="1" >}
   puts $mig_prj_file {    <ModuleName>design_1_mig_7series_0_0</ModuleName>}
   puts $mig_prj_file {    <dci_inouts_inputs>1</dci_inouts_inputs>}
   puts $mig_prj_file {    <dci_inputs>1</dci_inputs>}
   puts $mig_prj_file {    <Debug_En>OFF</Debug_En>}
   puts $mig_prj_file {    <DataDepth_En>1024</DataDepth_En>}
   puts $mig_prj_file {    <LowPower_En>ON</LowPower_En>}
   puts $mig_prj_file {    <XADC_En>Enabled</XADC_En>}
   puts $mig_prj_file {    <TargetFPGA>xc7a100t-csg324/-2</TargetFPGA>}
   puts $mig_prj_file {    <Version>2.4</Version>}
   puts $mig_prj_file {    <SystemClock>Single-Ended</SystemClock>}
   puts $mig_prj_file {    <ReferenceClock>No Buffer</ReferenceClock>}
   puts $mig_prj_file {    <SysResetPolarity>ACTIVE HIGH</SysResetPolarity>}
   puts $mig_prj_file {    <BankSelectionFlag>FALSE</BankSelectionFlag>}
   puts $mig_prj_file {    <InternalVref>0</InternalVref>}
   puts $mig_prj_file {    <dci_hr_inouts_inputs>50 Ohms</dci_hr_inouts_inputs>}
   puts $mig_prj_file {    <dci_cascade>0</dci_cascade>}
   puts $mig_prj_file {    <FPGADevice>}
   puts $mig_prj_file {        <selected>7a/xc7a35t-csg324</selected>}
   puts $mig_prj_file {        <selected>7a/xc7a50t-csg324</selected>}
   puts $mig_prj_file {        <selected>7a/xc7a75t-csg324</selected>}
   puts $mig_prj_file {    </FPGADevice>}
   puts $mig_prj_file {    <Controller number="0" >}
   puts $mig_prj_file {        <MemoryDevice>DDR3_SDRAM/Components/MT41J512M8XX-125</MemoryDevice>}
   puts $mig_prj_file {        <TimePeriod>2500</TimePeriod>}
   puts $mig_prj_file {        <VccAuxIO>1.8V</VccAuxIO>}
   puts $mig_prj_file {        <PHYRatio>4:1</PHYRatio>}
   puts $mig_prj_file {        <InputClkFreq>100</InputClkFreq>}
   puts $mig_prj_file {        <UIExtraClocks>1</UIExtraClocks>}
   puts $mig_prj_file {        <MMCM_VCO>800</MMCM_VCO>}
   puts $mig_prj_file {        <MMCMClkOut0> 4.000</MMCMClkOut0>}
   puts $mig_prj_file {        <MMCMClkOut1>1</MMCMClkOut1>}
   puts $mig_prj_file {        <MMCMClkOut2>1</MMCMClkOut2>}
   puts $mig_prj_file {        <MMCMClkOut3>1</MMCMClkOut3>}
   puts $mig_prj_file {        <MMCMClkOut4>1</MMCMClkOut4>}
   puts $mig_prj_file {        <DataWidth>8</DataWidth>}
   puts $mig_prj_file {        <DeepMemory>1</DeepMemory>}
   puts $mig_prj_file {        <DataMask>1</DataMask>}
   puts $mig_prj_file {        <ECC>Disabled</ECC>}
   puts $mig_prj_file {        <Ordering>Normal</Ordering>}
   puts $mig_prj_file {        <CustomPart>FALSE</CustomPart>}
   puts $mig_prj_file {        <NewPartName></NewPartName>}
   puts $mig_prj_file {        <RowAddress>16</RowAddress>}
   puts $mig_prj_file {        <ColAddress>10</ColAddress>}
   puts $mig_prj_file {        <BankAddress>3</BankAddress>}
   puts $mig_prj_file {        <MemoryVoltage>1.5V</MemoryVoltage>}
   puts $mig_prj_file {        <C0_MEM_SIZE>536870912</C0_MEM_SIZE>}
   puts $mig_prj_file {        <UserMemoryAddressMap>BANK_ROW_COLUMN</UserMemoryAddressMap>}
   puts $mig_prj_file {        <PinSelection>}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="D3" SLEW="" name="ddr3_addr[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="E3" SLEW="" name="ddr3_addr[10]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="A1" SLEW="" name="ddr3_addr[11]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="E2" SLEW="" name="ddr3_addr[12]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="B4" SLEW="" name="ddr3_addr[13]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="C2" SLEW="" name="ddr3_addr[14]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="H1" SLEW="" name="ddr3_addr[15]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="B2" SLEW="" name="ddr3_addr[1]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="G1" SLEW="" name="ddr3_addr[2]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="D4" SLEW="" name="ddr3_addr[3]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="E1" SLEW="" name="ddr3_addr[4]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="D2" SLEW="" name="ddr3_addr[5]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="F1" SLEW="" name="ddr3_addr[6]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="D5" SLEW="" name="ddr3_addr[7]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="C1" SLEW="" name="ddr3_addr[8]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="B3" SLEW="" name="ddr3_addr[9]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="J4" SLEW="" name="ddr3_ba[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="F3" SLEW="" name="ddr3_ba[1]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="G2" SLEW="" name="ddr3_ba[2]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="H6" SLEW="" name="ddr3_cas_n" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="DIFF_SSTL15" PADName="A3" SLEW="" name="ddr3_ck_n[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="DIFF_SSTL15" PADName="A4" SLEW="" name="ddr3_ck_p[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="H2" SLEW="" name="ddr3_cke[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="H5" SLEW="" name="ddr3_cs_n[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="E6" SLEW="" name="ddr3_dm[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="C5" SLEW="" name="ddr3_dq[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="B7" SLEW="" name="ddr3_dq[1]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="B6" SLEW="" name="ddr3_dq[2]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="C6" SLEW="" name="ddr3_dq[3]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="C7" SLEW="" name="ddr3_dq[4]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="D8" SLEW="" name="ddr3_dq[5]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="E5" SLEW="" name="ddr3_dq[6]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="E7" SLEW="" name="ddr3_dq[7]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="DIFF_SSTL15" PADName="A5" SLEW="" name="ddr3_dqs_n[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="DIFF_SSTL15" PADName="A6" SLEW="" name="ddr3_dqs_p[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="G6" SLEW="" name="ddr3_odt[0]" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="J2" SLEW="" name="ddr3_ras_n" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="LVCMOS15" PADName="B1" SLEW="" name="ddr3_reset_n" IN_TERM="" />}
   puts $mig_prj_file {            <Pin VCCAUX_IO="" IOSTANDARD="SSTL15" PADName="G4" SLEW="" name="ddr3_we_n" IN_TERM="" />}
   puts $mig_prj_file {        </PinSelection>}
   puts $mig_prj_file {        <System_Clock>}
   puts $mig_prj_file {            <Pin PADName="F4" Bank="35" name="sys_clk_i" />}
   puts $mig_prj_file {        </System_Clock>}
   puts $mig_prj_file {        <System_Control>}
   puts $mig_prj_file {            <Pin PADName="No connect" Bank="Select Bank" name="sys_rst" />}
   puts $mig_prj_file {            <Pin PADName="No connect" Bank="Select Bank" name="init_calib_complete" />}
   puts $mig_prj_file {            <Pin PADName="No connect" Bank="Select Bank" name="tg_compare_error" />}
   puts $mig_prj_file {        </System_Control>}
   puts $mig_prj_file {        <TimingParameters>}
   puts $mig_prj_file {            <Parameters twtr="7.5" trrd="6" trefi="7.8" tfaw="30" trtp="7.5" tcke="5" trfc="300" trp="13.75" tras="35" trcd="13.75" />}
   puts $mig_prj_file {        </TimingParameters>}
   puts $mig_prj_file {        <mrBurstLength name="Burst Length" >8 - Fixed</mrBurstLength>}
   puts $mig_prj_file {        <mrBurstType name="Read Burst Type and Length" >Sequential</mrBurstType>}
   puts $mig_prj_file {        <mrCasLatency name="CAS Latency" >6</mrCasLatency>}
   puts $mig_prj_file {        <mrMode name="Mode" >Normal</mrMode>}
   puts $mig_prj_file {        <mrDllReset name="DLL Reset" >No</mrDllReset>}
   puts $mig_prj_file {        <mrPdMode name="DLL control for precharge PD" >Slow Exit</mrPdMode>}
   puts $mig_prj_file {        <emrDllEnable name="DLL Enable" >Enable</emrDllEnable>}
   puts $mig_prj_file {        <emrOutputDriveStrength name="Output Driver Impedance Control" >RZQ/7</emrOutputDriveStrength>}
   puts $mig_prj_file {        <emrMirrorSelection name="Address Mirroring" >Disable</emrMirrorSelection>}
   puts $mig_prj_file {        <emrCSSelection name="Controller Chip Select Pin" >Enable</emrCSSelection>}
   puts $mig_prj_file {        <emrRTT name="RTT (nominal) - On Die Termination (ODT)" >RZQ/4</emrRTT>}
   puts $mig_prj_file {        <emrPosted name="Additive Latency (AL)" >0</emrPosted>}
   puts $mig_prj_file {        <emrOCD name="Write Leveling Enable" >Disabled</emrOCD>}
   puts $mig_prj_file {        <emrDQS name="TDQS enable" >Enabled</emrDQS>}
   puts $mig_prj_file {        <emrRDQS name="Qoff" >Output Buffer Enabled</emrRDQS>}
   puts $mig_prj_file {        <mr2PartialArraySelfRefresh name="Partial-Array Self Refresh" >Full Array</mr2PartialArraySelfRefresh>}
   puts $mig_prj_file {        <mr2CasWriteLatency name="CAS write latency" >5</mr2CasWriteLatency>}
   puts $mig_prj_file {        <mr2AutoSelfRefresh name="Auto Self Refresh" >Enabled</mr2AutoSelfRefresh>}
   puts $mig_prj_file {        <mr2SelfRefreshTempRange name="High Temparature Self Refresh Rate" >Normal</mr2SelfRefreshTempRange>}
   puts $mig_prj_file {        <mr2RTTWR name="RTT_WR - Dynamic On Die Termination (ODT)" >Dynamic ODT off</mr2RTTWR>}
   puts $mig_prj_file {        <PortInterface>AXI</PortInterface>}
   puts $mig_prj_file {        <AXIParameters>}
   puts $mig_prj_file {            <C0_C_RD_WR_ARB_ALGORITHM>RD_PRI_REG</C0_C_RD_WR_ARB_ALGORITHM>}
   puts $mig_prj_file {            <C0_S_AXI_ADDR_WIDTH>29</C0_S_AXI_ADDR_WIDTH>}
   puts $mig_prj_file {            <C0_S_AXI_DATA_WIDTH>32</C0_S_AXI_DATA_WIDTH>}
   puts $mig_prj_file {            <C0_S_AXI_ID_WIDTH>1</C0_S_AXI_ID_WIDTH>}
   puts $mig_prj_file {            <C0_S_AXI_SUPPORTS_NARROW_BURST>0</C0_S_AXI_SUPPORTS_NARROW_BURST>}
   puts $mig_prj_file {        </AXIParameters>}
   puts $mig_prj_file {    </Controller>}
   puts $mig_prj_file {</Project>}

   close $mig_prj_file
}
# End of write_mig_file_msys_sys_ram_0()



##################################################################
# DESIGN PROCs
##################################################################


# Hierarchical cell: microblaze_local_memory
proc create_hier_cell_microblaze_local_memory { parentCell nameHier } {

  variable script_folder

  if { $parentCell eq "" || $nameHier eq "" } {
     catch {common::send_msg_id "BD_TCL-102" "ERROR" create_hier_cell_microblaze_local_memory() - Empty argument(s)!"}
     return
  }

  # Get object for parentCell
  set parentObj [get_bd_cells $parentCell]
  if { $parentObj == "" } {
     catch {common::send_msg_id "BD_TCL-100" "ERROR" "Unable to find parent cell <$parentCell>!"}
     return
  }

  # Make sure parentObj is hier blk
  set parentType [get_property TYPE $parentObj]
  if { $parentType ne "hier" } {
     catch {common::send_msg_id "BD_TCL-101" "ERROR" "Parent <$parentObj> has TYPE = <$parentType>. Expected to be <hier>."}
     return
  }

  # Save current instance; Restore later
  set oldCurInst [current_bd_instance .]

  # Set parent object as current
  current_bd_instance $parentObj

  # Create cell and set as current instance
  set hier_obj [create_bd_cell -type hier $nameHier]
  current_bd_instance $hier_obj

  # Create interface pins
  create_bd_intf_pin -mode MirroredMaster -vlnv xilinx.com:interface:lmb_rtl:1.0 DLMB
  create_bd_intf_pin -mode MirroredMaster -vlnv xilinx.com:interface:lmb_rtl:1.0 ILMB

  # Create pins
  create_bd_pin -dir I -type clk LMB_Clk
  create_bd_pin -dir I -from 0 -to 0 -type rst LMB_Rst

  # Create instance: dlmb_bram_if_cntlr, and set properties
  set dlmb_bram_if_cntlr [ create_bd_cell -type ip -vlnv xilinx.com:ip:lmb_bram_if_cntlr:4.0 dlmb_bram_if_cntlr ]
  set_property -dict [ list \
CONFIG.C_ECC {0} \
 ] $dlmb_bram_if_cntlr

  # Create instance: dlmb_v10, and set properties
  set dlmb_v10 [ create_bd_cell -type ip -vlnv xilinx.com:ip:lmb_v10:3.0 dlmb_v10 ]

  # Create instance: ilmb_bram_if_cntlr, and set properties
  set ilmb_bram_if_cntlr [ create_bd_cell -type ip -vlnv xilinx.com:ip:lmb_bram_if_cntlr:4.0 ilmb_bram_if_cntlr ]
  set_property -dict [ list \
CONFIG.C_ECC {0} \
 ] $ilmb_bram_if_cntlr

  # Create instance: ilmb_v10, and set properties
  set ilmb_v10 [ create_bd_cell -type ip -vlnv xilinx.com:ip:lmb_v10:3.0 ilmb_v10 ]

  # Create instance: lmb_bram, and set properties
  set lmb_bram [ create_bd_cell -type ip -vlnv xilinx.com:ip:blk_mem_gen:8.3 lmb_bram ]
  set_property -dict [ list \
CONFIG.Memory_Type {True_Dual_Port_RAM} \
CONFIG.use_bram_block {BRAM_Controller} \
 ] $lmb_bram

  # Create interface connections
  connect_bd_intf_net -intf_net microblaze_0_dlmb [get_bd_intf_pins DLMB] [get_bd_intf_pins dlmb_v10/LMB_M]
  connect_bd_intf_net -intf_net microblaze_0_dlmb_bus [get_bd_intf_pins dlmb_bram_if_cntlr/SLMB] [get_bd_intf_pins dlmb_v10/LMB_Sl_0]
  connect_bd_intf_net -intf_net microblaze_0_dlmb_cntlr [get_bd_intf_pins dlmb_bram_if_cntlr/BRAM_PORT] [get_bd_intf_pins lmb_bram/BRAM_PORTA]
  connect_bd_intf_net -intf_net microblaze_0_ilmb [get_bd_intf_pins ILMB] [get_bd_intf_pins ilmb_v10/LMB_M]
  connect_bd_intf_net -intf_net microblaze_0_ilmb_bus [get_bd_intf_pins ilmb_bram_if_cntlr/SLMB] [get_bd_intf_pins ilmb_v10/LMB_Sl_0]
  connect_bd_intf_net -intf_net microblaze_0_ilmb_cntlr [get_bd_intf_pins ilmb_bram_if_cntlr/BRAM_PORT] [get_bd_intf_pins lmb_bram/BRAM_PORTB]

  # Create port connections
  connect_bd_net -net microblaze_0_Clk [get_bd_pins LMB_Clk] [get_bd_pins dlmb_bram_if_cntlr/LMB_Clk] [get_bd_pins dlmb_v10/LMB_Clk] [get_bd_pins ilmb_bram_if_cntlr/LMB_Clk] [get_bd_pins ilmb_v10/LMB_Clk]
  connect_bd_net -net microblaze_0_LMB_Rst [get_bd_pins LMB_Rst] [get_bd_pins dlmb_bram_if_cntlr/LMB_Rst] [get_bd_pins dlmb_v10/SYS_Rst] [get_bd_pins ilmb_bram_if_cntlr/LMB_Rst] [get_bd_pins ilmb_v10/SYS_Rst]

  # Restore current instance
  current_bd_instance $oldCurInst
}


# Procedure to create entire design; Provide argument to make
# procedure reusable. If parentCell is "", will use root.
proc create_root_design { parentCell } {

  variable script_folder

  if { $parentCell eq "" } {
     set parentCell [get_bd_cells /]
  }

  # Get object for parentCell
  set parentObj [get_bd_cells $parentCell]
  if { $parentObj == "" } {
     catch {common::send_msg_id "BD_TCL-100" "ERROR" "Unable to find parent cell <$parentCell>!"}
     return
  }

  # Make sure parentObj is hier blk
  set parentType [get_property TYPE $parentObj]
  if { $parentType ne "hier" } {
     catch {common::send_msg_id "BD_TCL-101" "ERROR" "Parent <$parentObj> has TYPE = <$parentType>. Expected to be <hier>."}
     return
  }

  # Save current instance; Restore later
  set oldCurInst [current_bd_instance .]

  # Set parent object as current
  current_bd_instance $parentObj


  # Create interface ports
  set BASE_UART0 [ create_bd_intf_port -mode Master -vlnv xilinx.com:interface:uart_rtl:1.0 BASE_UART0 ]
  set DDR3_SDRAM [ create_bd_intf_port -mode Master -vlnv xilinx.com:interface:ddrx_rtl:1.0 DDR3_SDRAM ]
  set ETH0_MDIO_MDC [ create_bd_intf_port -mode Master -vlnv xilinx.com:interface:mdio_rtl:1.0 ETH0_MDIO_MDC ]
  set ETH0_MII [ create_bd_intf_port -mode Master -vlnv xilinx.com:interface:mii_rtl:1.0 ETH0_MII ]
  set P0 [ create_bd_intf_port -mode Master -vlnv xilinx.com:interface:gpio_rtl:1.0 P0 ]
  set QSPI_FLASH [ create_bd_intf_port -mode Master -vlnv xilinx.com:interface:spi_rtl:1.0 QSPI_FLASH ]

  # Create ports
  set reset [ create_bd_port -dir I -type rst reset ]
  set_property -dict [ list \
CONFIG.POLARITY {ACTIVE_HIGH} \
 ] $reset
  set sys_clock [ create_bd_port -dir I -type clk sys_clock ]

  # Create instance: axi_mem_intercon, and set properties
  set axi_mem_intercon [ create_bd_cell -type ip -vlnv xilinx.com:ip:axi_interconnect:2.1 axi_mem_intercon ]
  set_property -dict [ list \
CONFIG.NUM_MI {1} \
CONFIG.NUM_SI {2} \
 ] $axi_mem_intercon

  # Create instance: axi_periph_intercon, and set properties
  set axi_periph_intercon [ create_bd_cell -type ip -vlnv xilinx.com:ip:axi_interconnect:2.1 axi_periph_intercon ]
  set_property -dict [ list \
CONFIG.NUM_MI {6} \
 ] $axi_periph_intercon

  # Create instance: axis_asio_gpio_0, and set properties
  set axis_asio_gpio_0 [ create_bd_cell -type ip -vlnv trenz.biz:user:axis_asio_gpio:1.0 axis_asio_gpio_0 ]
  set_property -dict [ list \
CONFIG.C_P0_BITS {110} \
CONFIG.P0_BOARD_INTERFACE {asio} \
 ] $axis_asio_gpio_0

  # Create instance: interrupt_concat, and set properties
  set interrupt_concat [ create_bd_cell -type ip -vlnv xilinx.com:ip:xlconcat:2.1 interrupt_concat ]
  set_property -dict [ list \
CONFIG.NUM_PORTS {4} \
 ] $interrupt_concat

  # Create instance: microblaze_local_memory
  create_hier_cell_microblaze_local_memory [current_bd_instance .] microblaze_local_memory

  # Create instance: sys_console, and set properties
  set sys_console [ create_bd_cell -type ip -vlnv xilinx.com:ip:axi_uartlite:2.0 sys_console ]
  set_property -dict [ list \
CONFIG.C_BAUDRATE {115200} \
CONFIG.C_S_AXI_ACLK_FREQ_HZ {100000000} \
CONFIG.UARTLITE_BOARD_INTERFACE {BASE_UART0} \
CONFIG.USE_BOARD_FLOW {true} \
 ] $sys_console

  # Need to retain value_src of defaults
  set_property -dict [ list \
CONFIG.C_S_AXI_ACLK_FREQ_HZ.VALUE_SRC {DEFAULT} \
 ] $sys_console

  # Create instance: sys_debug, and set properties
  set sys_debug [ create_bd_cell -type ip -vlnv xilinx.com:ip:mdm:3.2 sys_debug ]
  set_property -dict [ list \
CONFIG.C_USE_UART {0} \
 ] $sys_debug

  # Create instance: sys_ethernet, and set properties
  set sys_ethernet [ create_bd_cell -type ip -vlnv xilinx.com:ip:axi_ethernetlite:3.0 sys_ethernet ]
  set_property -dict [ list \
CONFIG.MDIO_BOARD_INTERFACE {ETH0_MDIO_MDC} \
CONFIG.MII_BOARD_INTERFACE {ETH0_MII} \
CONFIG.USE_BOARD_FLOW {true} \
 ] $sys_ethernet

  # Create instance: sys_flash, and set properties
  set sys_flash [ create_bd_cell -type ip -vlnv xilinx.com:ip:axi_quad_spi:3.2 sys_flash ]
  set_property -dict [ list \
CONFIG.C_SCK_RATIO {2} \
CONFIG.C_SPI_MEMORY {3} \
CONFIG.C_SPI_MODE {0} \
CONFIG.QSPI_BOARD_INTERFACE {qspi_flash} \
CONFIG.USE_BOARD_FLOW {true} \
 ] $sys_flash

  # Create instance: sys_intc, and set properties
  set sys_intc [ create_bd_cell -type ip -vlnv xilinx.com:ip:axi_intc:4.1 sys_intc ]
  set_property -dict [ list \
CONFIG.C_HAS_FAST {1} \
 ] $sys_intc

  # Create instance: sys_microblaze, and set properties
  set sys_microblaze [ create_bd_cell -type ip -vlnv xilinx.com:ip:microblaze:9.6 sys_microblaze ]
  set_property -dict [ list \
CONFIG.C_CACHE_BYTE_SIZE {8192} \
CONFIG.C_DCACHE_BYTE_SIZE {8192} \
CONFIG.C_DEBUG_ENABLED {1} \
CONFIG.C_D_AXI {1} \
CONFIG.C_D_LMB {1} \
CONFIG.C_FSL_LINKS {1} \
CONFIG.C_ICACHE_LINE_LEN {4} \
CONFIG.C_ICACHE_STREAMS {0} \
CONFIG.C_ICACHE_VICTIMS {0} \
CONFIG.C_ILL_OPCODE_EXCEPTION {1} \
CONFIG.C_I_LMB {1} \
CONFIG.C_MMU_DTLB_SIZE {4} \
CONFIG.C_MMU_ITLB_SIZE {2} \
CONFIG.C_MMU_ZONES {2} \
CONFIG.C_M_AXI_D_BUS_EXCEPTION {1} \
CONFIG.C_M_AXI_I_BUS_EXCEPTION {1} \
CONFIG.C_NUMBER_OF_PC_BRK {1} \
CONFIG.C_OPCODE_0x0_ILLEGAL {1} \
CONFIG.C_PVR {0} \
CONFIG.C_UNALIGNED_EXCEPTIONS {1} \
CONFIG.C_USE_BARREL {1} \
CONFIG.C_USE_DCACHE {1} \
CONFIG.C_USE_DIV {0} \
CONFIG.C_USE_HW_MUL {1} \
CONFIG.C_USE_ICACHE {1} \
CONFIG.C_USE_MMU {3} \
CONFIG.C_USE_MSR_INSTR {1} \
CONFIG.C_USE_PCMP_INSTR {1} \
CONFIG.C_USE_REORDER_INSTR {1} \
CONFIG.G_TEMPLATE_LIST {5} \
CONFIG.G_USE_EXCEPTIONS {1} \
 ] $sys_microblaze

  # Create instance: sys_ram, and set properties
  set sys_ram [ create_bd_cell -type ip -vlnv xilinx.com:ip:mig_7series:4.0 sys_ram ]

  # Generate the PRJ File for MIG
  set str_mig_folder [get_property IP_DIR [ get_ips [ get_property CONFIG.Component_Name $sys_ram ] ] ]
  set str_mig_file_name board.prj
  set str_mig_file_path ${str_mig_folder}/${str_mig_file_name}

  write_mig_file_msys_sys_ram_0 $str_mig_file_path

  set_property -dict [ list \
CONFIG.BOARD_MIG_PARAM {ddr3_sdram} \
CONFIG.RESET_BOARD_INTERFACE {reset} \
CONFIG.XML_INPUT_FILE {board.prj} \
 ] $sys_ram

  # Need to retain value_src of defaults
  set_property -dict [ list \
CONFIG.XML_INPUT_FILE.VALUE_SRC {DEFAULT} \
 ] $sys_ram

  # Create instance: sys_reset, and set properties
  set sys_reset [ create_bd_cell -type ip -vlnv xilinx.com:ip:proc_sys_reset:5.0 sys_reset ]

  # Create instance: sys_timer, and set properties
  set sys_timer [ create_bd_cell -type ip -vlnv xilinx.com:ip:axi_timer:2.0 sys_timer ]

  # Create interface connections
  connect_bd_intf_net -intf_net axi_ethernetlite_0_MDIO [get_bd_intf_ports ETH0_MDIO_MDC] [get_bd_intf_pins sys_ethernet/MDIO]
  connect_bd_intf_net -intf_net axi_ethernetlite_0_MII [get_bd_intf_ports ETH0_MII] [get_bd_intf_pins sys_ethernet/MII]
  connect_bd_intf_net -intf_net axi_mem_intercon_M00_AXI [get_bd_intf_pins axi_mem_intercon/M00_AXI] [get_bd_intf_pins sys_ram/S_AXI]
  connect_bd_intf_net -intf_net axi_periph_intercon_M05_AXI [get_bd_intf_pins axi_periph_intercon/M05_AXI] [get_bd_intf_pins sys_ethernet/S_AXI]
  connect_bd_intf_net -intf_net axi_quad_spi_0_SPI_0 [get_bd_intf_ports QSPI_FLASH] [get_bd_intf_pins sys_flash/SPI_0]
  connect_bd_intf_net -intf_net axi_uartlite_0_UART [get_bd_intf_ports BASE_UART0] [get_bd_intf_pins sys_console/UART]
  connect_bd_intf_net -intf_net axis_asio_gpio_0_M_AXIS [get_bd_intf_pins axis_asio_gpio_0/M_AXIS] [get_bd_intf_pins sys_microblaze/S0_AXIS]
  connect_bd_intf_net -intf_net axis_asio_gpio_0_P0 [get_bd_intf_ports P0] [get_bd_intf_pins axis_asio_gpio_0/P0]
  connect_bd_intf_net -intf_net microblaze_0_M_AXI_DC [get_bd_intf_pins axi_mem_intercon/S00_AXI] [get_bd_intf_pins sys_microblaze/M_AXI_DC]
  connect_bd_intf_net -intf_net microblaze_0_M_AXI_IC [get_bd_intf_pins axi_mem_intercon/S01_AXI] [get_bd_intf_pins sys_microblaze/M_AXI_IC]
  connect_bd_intf_net -intf_net microblaze_0_axi_dp [get_bd_intf_pins axi_periph_intercon/S00_AXI] [get_bd_intf_pins sys_microblaze/M_AXI_DP]
  connect_bd_intf_net -intf_net microblaze_0_axi_periph_M02_AXI [get_bd_intf_pins axi_periph_intercon/M02_AXI] [get_bd_intf_pins sys_flash/AXI_LITE]
  connect_bd_intf_net -intf_net microblaze_0_axi_periph_M03_AXI [get_bd_intf_pins axi_periph_intercon/M03_AXI] [get_bd_intf_pins sys_timer/S_AXI]
  connect_bd_intf_net -intf_net microblaze_0_axi_periph_M04_AXI [get_bd_intf_pins axi_periph_intercon/M04_AXI] [get_bd_intf_pins sys_console/S_AXI]
  connect_bd_intf_net -intf_net microblaze_0_debug [get_bd_intf_pins sys_debug/MBDEBUG_0] [get_bd_intf_pins sys_microblaze/DEBUG]
  connect_bd_intf_net -intf_net microblaze_0_dlmb_1 [get_bd_intf_pins microblaze_local_memory/DLMB] [get_bd_intf_pins sys_microblaze/DLMB]
  connect_bd_intf_net -intf_net microblaze_0_ilmb_1 [get_bd_intf_pins microblaze_local_memory/ILMB] [get_bd_intf_pins sys_microblaze/ILMB]
  connect_bd_intf_net -intf_net microblaze_0_intc_axi [get_bd_intf_pins axi_periph_intercon/M00_AXI] [get_bd_intf_pins sys_intc/s_axi]
  connect_bd_intf_net -intf_net microblaze_0_interrupt [get_bd_intf_pins sys_intc/interrupt] [get_bd_intf_pins sys_microblaze/INTERRUPT]
  connect_bd_intf_net -intf_net mig_7series_0_DDR3 [get_bd_intf_ports DDR3_SDRAM] [get_bd_intf_pins sys_ram/DDR3]
  connect_bd_intf_net -intf_net sys_microblaze_M0_AXIS [get_bd_intf_pins axis_asio_gpio_0/S_AXIS] [get_bd_intf_pins sys_microblaze/M0_AXIS]

  # Create port connections
  connect_bd_net -net axi_ethernetlite_0_ip2intc_irpt [get_bd_pins interrupt_concat/In3] [get_bd_pins sys_ethernet/ip2intc_irpt]
  connect_bd_net -net axi_quad_spi_0_ip2intc_irpt [get_bd_pins interrupt_concat/In2] [get_bd_pins sys_flash/ip2intc_irpt]
  connect_bd_net -net axi_timer_0_interrupt [get_bd_pins interrupt_concat/In0] [get_bd_pins sys_timer/interrupt]
  connect_bd_net -net axi_uartlite_0_interrupt [get_bd_pins interrupt_concat/In1] [get_bd_pins sys_console/interrupt]
  connect_bd_net -net mdm_1_debug_sys_rst [get_bd_pins sys_debug/Debug_SYS_Rst] [get_bd_pins sys_reset/mb_debug_sys_rst]
  connect_bd_net -net microblaze_0_Clk [get_bd_pins axi_mem_intercon/ACLK] [get_bd_pins axi_mem_intercon/M00_ACLK] [get_bd_pins axi_mem_intercon/S00_ACLK] [get_bd_pins axi_mem_intercon/S01_ACLK] [get_bd_pins axi_periph_intercon/ACLK] [get_bd_pins axi_periph_intercon/M00_ACLK] [get_bd_pins axi_periph_intercon/M01_ACLK] [get_bd_pins axi_periph_intercon/M02_ACLK] [get_bd_pins axi_periph_intercon/M03_ACLK] [get_bd_pins axi_periph_intercon/M04_ACLK] [get_bd_pins axi_periph_intercon/M05_ACLK] [get_bd_pins axi_periph_intercon/S00_ACLK] [get_bd_pins axis_asio_gpio_0/axis_aclk] [get_bd_pins microblaze_local_memory/LMB_Clk] [get_bd_pins sys_console/s_axi_aclk] [get_bd_pins sys_ethernet/s_axi_aclk] [get_bd_pins sys_flash/ext_spi_clk] [get_bd_pins sys_flash/s_axi_aclk] [get_bd_pins sys_intc/processor_clk] [get_bd_pins sys_intc/s_axi_aclk] [get_bd_pins sys_microblaze/Clk] [get_bd_pins sys_ram/ui_clk] [get_bd_pins sys_reset/slowest_sync_clk] [get_bd_pins sys_timer/s_axi_aclk]
  connect_bd_net -net microblaze_0_intr [get_bd_pins interrupt_concat/dout] [get_bd_pins sys_intc/intr]
  connect_bd_net -net mig_7series_0_mmcm_locked [get_bd_pins sys_ram/mmcm_locked] [get_bd_pins sys_reset/dcm_locked]
  connect_bd_net -net mig_7series_0_ui_addn_clk_0 [get_bd_pins sys_ram/clk_ref_i] [get_bd_pins sys_ram/ui_addn_clk_0]
  connect_bd_net -net mig_7series_0_ui_clk_sync_rst [get_bd_pins sys_ram/ui_clk_sync_rst] [get_bd_pins sys_reset/ext_reset_in]
  connect_bd_net -net reset_1 [get_bd_ports reset] [get_bd_pins sys_ram/sys_rst]
  connect_bd_net -net rst_mig_7series_0_100M_bus_struct_reset [get_bd_pins microblaze_local_memory/LMB_Rst] [get_bd_pins sys_reset/bus_struct_reset]
  connect_bd_net -net rst_mig_7series_0_100M_interconnect_aresetn [get_bd_pins axi_mem_intercon/ARESETN] [get_bd_pins axi_periph_intercon/ARESETN] [get_bd_pins sys_reset/interconnect_aresetn]
  connect_bd_net -net rst_mig_7series_0_100M_mb_reset [get_bd_pins sys_intc/processor_rst] [get_bd_pins sys_microblaze/Reset] [get_bd_pins sys_reset/mb_reset]
  connect_bd_net -net rst_mig_7series_0_100M_peripheral_aresetn [get_bd_pins axi_mem_intercon/M00_ARESETN] [get_bd_pins axi_mem_intercon/S00_ARESETN] [get_bd_pins axi_mem_intercon/S01_ARESETN] [get_bd_pins axi_periph_intercon/M00_ARESETN] [get_bd_pins axi_periph_intercon/M01_ARESETN] [get_bd_pins axi_periph_intercon/M02_ARESETN] [get_bd_pins axi_periph_intercon/M03_ARESETN] [get_bd_pins axi_periph_intercon/M04_ARESETN] [get_bd_pins axi_periph_intercon/M05_ARESETN] [get_bd_pins axi_periph_intercon/S00_ARESETN] [get_bd_pins axis_asio_gpio_0/axis_aresetn] [get_bd_pins sys_console/s_axi_aresetn] [get_bd_pins sys_ethernet/s_axi_aresetn] [get_bd_pins sys_flash/s_axi_aresetn] [get_bd_pins sys_intc/s_axi_aresetn] [get_bd_pins sys_ram/aresetn] [get_bd_pins sys_reset/peripheral_aresetn] [get_bd_pins sys_timer/s_axi_aresetn]
  connect_bd_net -net sys_clock [get_bd_ports sys_clock] [get_bd_pins sys_ram/sys_clk_i]

  # Create address segments
  create_bd_addr_seg -range 0x00010000 -offset 0x40E00000 [get_bd_addr_spaces sys_microblaze/Data] [get_bd_addr_segs sys_ethernet/S_AXI/Reg] SEG_axi_ethernetlite_0_Reg
  create_bd_addr_seg -range 0x00010000 -offset 0x44A00000 [get_bd_addr_spaces sys_microblaze/Data] [get_bd_addr_segs sys_flash/AXI_LITE/Reg] SEG_axi_quad_spi_0_Reg
  create_bd_addr_seg -range 0x00010000 -offset 0x41C00000 [get_bd_addr_spaces sys_microblaze/Data] [get_bd_addr_segs sys_timer/S_AXI/Reg] SEG_axi_timer_0_Reg
  create_bd_addr_seg -range 0x00010000 -offset 0x40600000 [get_bd_addr_spaces sys_microblaze/Data] [get_bd_addr_segs sys_console/S_AXI/Reg] SEG_axi_uartlite_0_Reg
  create_bd_addr_seg -range 0x00020000 -offset 0x00000000 [get_bd_addr_spaces sys_microblaze/Data] [get_bd_addr_segs microblaze_local_memory/dlmb_bram_if_cntlr/SLMB/Mem] SEG_dlmb_bram_if_cntlr_Mem
  create_bd_addr_seg -range 0x00020000 -offset 0x00000000 [get_bd_addr_spaces sys_microblaze/Instruction] [get_bd_addr_segs microblaze_local_memory/ilmb_bram_if_cntlr/SLMB/Mem] SEG_ilmb_bram_if_cntlr_Mem
  create_bd_addr_seg -range 0x00010000 -offset 0x41200000 [get_bd_addr_spaces sys_microblaze/Data] [get_bd_addr_segs sys_intc/S_AXI/Reg] SEG_microblaze_0_axi_intc_Reg
  create_bd_addr_seg -range 0x20000000 -offset 0x80000000 [get_bd_addr_spaces sys_microblaze/Data] [get_bd_addr_segs sys_ram/memmap/memaddr] SEG_mig_7series_0_memaddr
  create_bd_addr_seg -range 0x20000000 -offset 0x80000000 [get_bd_addr_spaces sys_microblaze/Instruction] [get_bd_addr_segs sys_ram/memmap/memaddr] SEG_mig_7series_0_memaddr

  # Perform GUI Layout
  regenerate_bd_layout -layout_string {
   guistr: "# # String gsaved with Nlview 6.5.12  2016-01-29 bk=1.3547 VDI=39 GEI=35 GUI=JA:1.6
#  -string -flagsOSRD
preplace port BASE_UART0 -pg 1 -y 920 -defaultsOSRD
preplace port P0 -pg 1 -y 610 -defaultsOSRD
preplace port sys_clock -pg 1 -y 360 -defaultsOSRD
preplace port ETH0_MII -pg 1 -y 1220 -defaultsOSRD
preplace port QSPI_FLASH -pg 1 -y 1070 -defaultsOSRD
preplace port ETH0_MDIO_MDC -pg 1 -y 1240 -defaultsOSRD
preplace port DDR3_SDRAM -pg 1 -y 160 -defaultsOSRD
preplace port reset -pg 1 -y 200 -defaultsOSRD
preplace inst sys_reset -pg 1 -lvl 1 -y 470 -defaultsOSRD
preplace inst sys_ram -pg 1 -lvl 5 -y 210 -defaultsOSRD
preplace inst sys_debug -pg 1 -lvl 2 -y 290 -defaultsOSRD
preplace inst axi_periph_intercon -pg 1 -lvl 4 -y 880 -defaultsOSRD
preplace inst sys_microblaze -pg 1 -lvl 3 -y 420 -defaultsOSRD
preplace inst sys_ethernet -pg 1 -lvl 5 -y 1240 -defaultsOSRD
preplace inst sys_console -pg 1 -lvl 5 -y 930 -defaultsOSRD
preplace inst microblaze_local_memory -pg 1 -lvl 4 -y 410 -defaultsOSRD
preplace inst sys_flash -pg 1 -lvl 5 -y 1090 -defaultsOSRD
preplace inst axis_asio_gpio_0 -pg 1 -lvl 5 -y 610 -defaultsOSRD
preplace inst sys_intc -pg 1 -lvl 2 -y 560 -defaultsOSRD
preplace inst interrupt_concat -pg 1 -lvl 1 -y 1190 -defaultsOSRD
preplace inst sys_timer -pg 1 -lvl 5 -y 780 -defaultsOSRD
preplace inst axi_mem_intercon -pg 1 -lvl 4 -y 140 -defaultsOSRD
preplace netloc axi_quad_spi_0_SPI_0 1 5 1 NJ
preplace netloc mig_7series_0_mmcm_locked 1 0 6 10 210 NJ 210 NJ 210 NJ 320 NJ 320 1860
preplace netloc axi_ethernetlite_0_MDIO 1 5 1 NJ
preplace netloc microblaze_0_axi_periph_M04_AXI 1 4 1 N
preplace netloc axi_periph_intercon_M05_AXI 1 4 1 1560
preplace netloc mig_7series_0_DDR3 1 5 1 NJ
preplace netloc sys_microblaze_M0_AXIS 1 3 2 1170 590 NJ
preplace netloc mig_7series_0_ui_addn_clk_0 1 4 2 1620 310 1870
preplace netloc microblaze_0_intr 1 1 1 410
preplace netloc axi_uartlite_0_interrupt 1 0 6 10 660 NJ 660 NJ 660 NJ 660 NJ 680 1860
preplace netloc axis_asio_gpio_0_M_AXIS 1 2 4 730 520 NJ 520 NJ 520 1860
preplace netloc microblaze_0_Clk 1 0 6 40 380 390 410 680 570 1220 530 1590 530 1880
preplace netloc microblaze_0_interrupt 1 2 1 650
preplace netloc microblaze_0_intc_axi 1 1 4 420 460 NJ 600 NJ 600 1560
preplace netloc microblaze_0_axi_periph_M03_AXI 1 4 1 1600
preplace netloc microblaze_0_ilmb_1 1 3 1 1210
preplace netloc microblaze_0_M_AXI_DC 1 3 1 1190
preplace netloc axi_mem_intercon_M00_AXI 1 4 1 1620
preplace netloc sys_clock 1 0 5 NJ 360 NJ 360 NJ 540 NJ 540 NJ
preplace netloc microblaze_0_axi_dp 1 3 1 1180
preplace netloc axis_asio_gpio_0_P0 1 5 1 NJ
preplace netloc rst_mig_7series_0_100M_peripheral_aresetn 1 1 4 410 450 NJ 560 1230 490 1610
preplace netloc rst_mig_7series_0_100M_interconnect_aresetn 1 1 3 NJ 440 NJ 550 1240
preplace netloc rst_mig_7series_0_100M_bus_struct_reset 1 1 3 370 420 NJ 530 NJ
preplace netloc microblaze_0_M_AXI_IC 1 3 1 1200
preplace netloc axi_uartlite_0_UART 1 5 1 NJ
preplace netloc rst_mig_7series_0_100M_mb_reset 1 1 2 400 430 690
preplace netloc mig_7series_0_ui_clk_sync_rst 1 0 6 20 230 NJ 230 NJ 230 NJ 290 NJ 110 1880
preplace netloc axi_ethernetlite_0_ip2intc_irpt 1 0 6 40 1310 NJ 1310 NJ 1310 NJ 1310 NJ 1310 1860
preplace netloc microblaze_0_dlmb_1 1 3 1 1210
preplace netloc microblaze_0_axi_periph_M02_AXI 1 4 1 1570
preplace netloc axi_ethernetlite_0_MII 1 5 1 NJ
preplace netloc microblaze_0_debug 1 2 1 720
preplace netloc reset_1 1 0 5 NJ 200 NJ 200 NJ 200 NJ 300 NJ
preplace netloc mdm_1_debug_sys_rst 1 0 3 30 350 NJ 350 650
preplace netloc axi_quad_spi_0_ip2intc_irpt 1 0 6 20 1100 NJ 1100 NJ 1100 NJ 1100 NJ 1010 1860
preplace netloc axi_timer_0_interrupt 1 0 6 30 1270 NJ 1170 NJ 1170 NJ 1170 NJ 1170 1870
levelinfo -pg 1 -10 210 530 950 1410 1740 1910 -top 0 -bot 1320
",
}

  # Restore current instance
  current_bd_instance $oldCurInst

  save_bd_design
}
# End of create_root_design()


##################################################################
# MAIN FLOW
##################################################################

create_root_design ""



